// AddItemsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"
#include "AddItemsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddItemsDlg dialog


UINT addDialogCount = 1;
int  addDialogPosition = 1;
int  addDialogThread = 0;

CAddItemsDlg::CAddItemsDlg(CWnd* pParent /*=NULL*/)
    : CDialog(CAddItemsDlg::IDD, pParent)
{
    //{{AFX_DATA_INIT(CAddItemsDlg)
    m_Count = addDialogCount;
    m_Position = addDialogPosition;
    m_Thread = addDialogThread;
    //}}AFX_DATA_INIT
}

CAddItemsDlg::~CAddItemsDlg()
{
    addDialogCount = m_Count;
    addDialogPosition = m_Position;
    addDialogThread = m_Thread;
}


void CAddItemsDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CAddItemsDlg)
    DDX_Text(pDX, IDC_COUNT, m_Count);
    DDX_Radio(pDX, IDC_RADIO_POSITION, m_Position);
    DDX_Radio(pDX, IDC_RADIO_THREADING, m_Thread);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddItemsDlg, CDialog)
    //{{AFX_MSG_MAP(CAddItemsDlg)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()



Location CAddItemsDlg::GetLocation() const
{
    switch(m_Position)
    {
        case 0: return Head;
        case 1: return Tail;
        case 2: return Random;

        default:
            return Tail;
    }
}

Thread CAddItemsDlg::GetThread() const
{
    switch(m_Thread)
    {
        case 0: return GUIThread;
        case 1: return NonGUIThread;

        default:
            return GUIThread;
    }
}

UINT CAddItemsDlg::GetCount() const
{
    return m_Count;
}

