/////////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2007-2008 Dapfor
//                                                                         
// This file is part of the Dapfor software, and may only be used, modified, and distributed 
// under the terms of the Dapfor Software License, Version 1.0.
// (See accompanying file lisense.txt or open the license at www.dapfor.com/license_agreement.aspx)
// By continuing to use, modify, or distribute this file you indicate that you have read the license 
// and understand and accept it fully.
/////////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#include <Dapfor/Common/Common.h>
#include <Dapfor/Common/Types.h>
#include <Dapfor/Common/Log.h>

namespace Dapfor
{

namespace Common
{

class DF_COMMON_API CFileLogger : public CLog::ILogger
{
public:
    CFileLogger(const TString& filename, bool bAppend);
    ~CFileLogger();

    void Log(CLog::Severity severity, long time, int threadId, const TString& message);
    
private:
    struct Impl;
    Impl*  m_Impl;
};

}

}

